//#######################################
//##	 	 Class Declaration	       ##
//#######################################
class Rectangle
{
//#######################################
//##	   	    Data Members           ##
//#######################################
private:
	float length;
	float width;
//#######################################
//##	 	 Member Functions	       ##
//#######################################
public:
	Rectangle(float,float);
	Rectangle();
	void setRect(float,float);
	void tostring();
	void showRect();
	float area(float,float);
	float perimeter(float,float);
	~Rectangle();
};
//#######################################
//##	 	 Full Constructor	       ##
//#######################################
Rectangle::Rectangle(float l, float w)
{
	length = l;
	width = w;
}
//#######################################
//##	 	Default Constructor	       ##
//#######################################
Rectangle::Rectangle()
{
	length = 1;
	width = 1;
}
//#######################################
//##	 	 setRect Function	       ##
//#######################################
void Rectangle::setRect(float l, float w)
{
	length = l;
	width = w;
	return;
}
//#######################################
//##	 	 tostring Function	       ##
//#######################################
void Rectangle::tostring()
{
	float area = length * width;
	float perim = (length + width) * 2;
	cout << "Length   : " << length << endl;
	cout << "Width    : " << width << endl;
	return;
}
//#######################################
//## Loop series to construct a visual ##
//##  representation of the rectangle  ##
//#######################################
void Rectangle::showRect()
{
	int i;
	int g;
	for (i=0; i<length; i++)
	{
		cout << "--";
	}
	cout << endl;
	for (i=0; i<width; i++)
	{
		cout << "|";
		for (g=1; g<length; g++)
		{
			cout << "  ";
		}
		cout << "|" << endl;
	}
	for (i=0; i<length; i++)
	{
		cout << "--";
	}
	cout << endl << endl;
	return;
}
//#######################################
//##	 	     Show Area	           ##
//#######################################
float Rectangle::area(float l, float w)
{
	float area = length * width;
	return area;
}
//#######################################
//##	 	  Show Perimeter	       ##
//#######################################
float Rectangle::perimeter(float l, float w)
{
	float perim = (length + width) * 2;
	return perim;
}
//#######################################
//##	 	  Release Object	       ##
//#######################################
Rectangle::~Rectangle()
{
	cout << " **NOTE** Rectangle object was released! ..." << endl;
	_getch();
}